%{?nodejs_find_provides_and_requires}

%global packagename rsvp

Name: nodejs-%{packagename}
Version: 3.3.3
Release: 1%{?dist}.3
Summary: A lightweight library that provides tools for organizing asynchronous code
License: MIT
URL: https://github.com/tildeio/rsvp.js#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging

%description
A lightweight library that provides tools for organizing asynchronous code.

RSVP.js provides simple tools for organizing asynchronous code.

Specifically, it is a tiny implementation of Promises/A+.

It works in node and the browser (IE6+, all the popular evergreen ones).


%prep
%setup -q -n package
%nodejs_fixdep mocha '>=1.20.1'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 3.3.3-1
- Initial package.
